import { ApplicationRepresentation, ApplicationStructureRepresentation } from '../domain';
import { State } from '../const';
import { ProcessHandler } from './ProcessHandler';
export declare class ApplicationHandler {
    state: State;
    appId: string;
    appRepresentation: ApplicationRepresentation;
    mountedProcesses: ProcessHandler[];
    private startTime;
    private structure;
    private nodejsStdout;
    constructor(appRepresentation: ApplicationRepresentation);
    readonly appName: string;
    readonly appDir: string;
    readonly pids: Array<number>;
    readonly startCount: number;
    readonly restartCount: number;
    readonly uptime: number;
    getStructure(): Promise<ApplicationStructureRepresentation>;
    fillMounted(): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
    reload(processName: string): Promise<void>;
    backupStdoutLogFile(): Promise<void>;
}
