"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const wrap = require("pandora-spawn-wrap");
const const_1 = require("../const");
const ProcessContext_1 = require("./ProcessContext");
const Facade_1 = require("../Facade");
const wrapFile = require.resolve('./spawnWrapper');
class SpawnWrapperUtils {
    static wrap() {
        if (!SpawnWrapperUtils.unwrapFn) {
            SpawnWrapperUtils.unwrapFn = wrap([wrapFile]);
        }
    }
    static unwrap() {
        if (SpawnWrapperUtils.unwrapFn) {
            this.unwrapFn();
            this.unwrapFn = null;
        }
    }
    static shimProcessContext() {
        let processRepresentation = {};
        try {
            processRepresentation = JSON.parse(process.env[const_1.PANDORA_PROCESS]);
        }
        catch (err) {
            // ignore
        }
        const context = new ProcessContext_1.ProcessContext(processRepresentation);
        Facade_1.Facade.set('processContext', context.processContextAccessor);
        return context;
    }
}
exports.SpawnWrapperUtils = SpawnWrapperUtils;
//# sourceMappingURL=SpawnWrapperUtils.js.map