"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Interface and Constant
 */
const Facade_1 = require("./Facade");
const delegate = require("delegates");
__export(require("./domain"));
__export(require("./const"));
/**
 * Daemon
 */
__export(require("./daemon/Daemon"));
__export(require("./daemon/DaemonHandler"));
__export(require("./monitor/Monitor"));
var DaemonBootstrap_1 = require("./daemon/DaemonBootstrap");
exports.DaemonBootstrap = DaemonBootstrap_1.DaemonBootstrap;
/**
 * Application
 */
__export(require("./application/ProcessHandler"));
__export(require("./application/ScalableMaster"));
/**
 * Procfile
 */
__export(require("./application/ProcfileReconciler"));
__export(require("./application/ProcfileReconcilerAccessor"));
__export(require("./application/ServiceRepresentationChainModifier"));
/**
 * ProcessContext
 */
__export(require("./application/ProcessContext"));
var ProcessBootstrap_1 = require("./application/ProcessBootstrap");
exports.ProcessBootstrap = ProcessBootstrap_1.ProcessBootstrap;
/**
 * Service
 */
__export(require("./service/ServiceLogger"));
__export(require("./service/ServiceReconciler"));
__export(require("./service/ServiceCore"));
/**
 * Universal
 */
__export(require("./universal/GlobalConfigProcessor"));
__export(require("./universal/Helpers"));
__export(require("./universal/LoggerBroker"));
/**
 * Debug
 */
__export(require("./debug/DebugApplicationLoader"));
__export(require("./debug/DebugServiceReconciler"));
/**
 * Metrics
 */
__export(require("pandora-metrics"));
/**
 * Hook
 */
__export(require("pandora-hook"));
/**
 * Env
 */
__export(require("pandora-env"));
/**
 * service-logger
 */
var pandora_service_logger_1 = require("pandora-service-logger");
exports.DefaultLoggerManager = pandora_service_logger_1.DefaultLoggerManager;
/**
 * Facade
 */
exports.facade = Facade_1.Facade.getInstance();
delegate(exports, 'facade')
    .access('processContext')
    .access('appName')
    .access('appDir')
    .access('processName')
    .access('env')
    .access('environment')
    .access('hub')
    .method('getService')
    .method('getServiceClass')
    .method('getHub')
    .method('publishObject')
    .method('getProxy');
//# sourceMappingURL=index.js.map